| Home | Libraries | People | FAQ | More

## Function template swap_ranges

boost::compute::swap_ranges

## Synopsis

    // In header: <boost/compute/algorithm/swap_ranges.hpp>

    template<typename Iterator1, typename Iterator2>
      Iterator2 swap_ranges(Iterator1 first1, Iterator1 last1, Iterator2 first2,
                            command_queue & queue = system::default_queue());

## Description

Swaps the elements in the range [`first1`, `last1`) with the elements in the range beginning at `first2`.